#!/bin/ksh
##########################################################################
# Licensed Materials - Property of IBM
# 5724-T40 IBM License Metric Tool
# 5724-S94 IBM Tivoli Asset Discovery for Distributed
#
# (C) Copyright IBM Corp. 2005, 2009.  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##########################################################################

OPTION=$1
AGT_BASE_DIR=$2

CODESET_BKUP_DIR=$AGT_BASE_DIR'codeset_bk'
CODESET_DIR=$AGT_BASE_DIR'codeset'
NLS_BKUP_DIR=$AGT_BASE_DIR'nls_bk'
NLS_DIR=$AGT_BASE_DIR'nls'

case $OPTION in
-s)
    # Bkup codeset dir
    test -d $CODESET_BKUP_DIR
    if [ $? = 0 ]
    then
        rm -rf $CODESET_BKUP_DIR/*
    fi
    test -d $CODESET_DIR
    if [ $? = 0 ]
    then
        mv $CODESET_DIR $CODESET_BKUP_DIR
    fi

    # Bkup nls dir
    test -d $NLS_BKUP_DIR
    if [ $? = 0 ]
    then
        rm -rf NLS_BKUP_DIR/*
    fi
    test -d $NLS_DIR
    if [ $? = 0 ]
    then
        mv $NLS_DIR $NLS_BKUP_DIR
    fi
;;
-r)
    # Restore codeset dir
    rm -rf $CODESET_DIR
    test -d $CODESET_BKUP_DIR
    if [ $? = 0 ]
    then
        mv $CODESET_BKUP_DIR $CODESET_DIR
    fi
    # Restore nls dir
    rm -rf $NLS_DIR
    test -d $NLS_BKUP_DIR
    if [ $? = 0 ]
    then
        mv $NLS_BKUP_DIR $NLS_DIR
    fi
;;
-c)
    rm -rf $CODESET_BKUP_DIR
    rm -rf $NLS_BKUP_DIR
;;
*)
    echo Option not supported
    exit 10
;;
esac

exit 0
